INSERT INTO Afastamento (
	CodigoEmpresa
	,CodigoFuncContr
	,DataAfast
	,Seq
	,QtdeHoraFalta
	,HoraAfast
	,CodigoSit
	,DiasLicMedica
	,DataTermino
	,HoraTermino
	,DataPrevTermino
	,PerdeValeTransp
	,QtdeValeTransp
	,PerdeDSR
	,PerdeFerias
	,ExameRetorno
	,Observ
	,OrigemDado
	,OrigemRetificacao
	,DiasAtestado
	,DataHoraLcto
	,EnviouAfastamentoeSocial
	,StatusEnvioeSocial
	)
VALUES (
	:CodigoEmpresa
	,:CodigoFuncContr
	,:DataAfast
	,:Seq
	,CAST(:QtdeHoraFalta AS NUMERIC(15))
	,CAST(:HoraAfast AS NUMERIC(15))
	,:CodigoSit
	,CAST(:DiasLicMedica AS SMALLINT)
	,:DataTermino
	,CAST(:HoraTermino AS NUMERIC(15))
	,CAST(:DataPrevTermino AS DATE)
	,Cast(:PerdeValeTransp AS CHAR(1))
	,CAST(:QtdeValeTransp AS SMALLINT)
	,:PerdeDSR
	,:PerdeFerias
	,:ExameRetorno
	,:Observ
	,:OrigemDado
	,:OrigemRetificacao
	,:DiasAtestado
	,CURRENT_TIMESTAMP
	,Cast(:EnviouAfastamentoeSocial AS CHAR(1))
	,:StatusEnvioeSocial
	)