  select E.ReferEvento Referencia,
         sum(ce.BaseEvento) Base,
         sum(ce.ReferEvento) Refer
    from PeriodoCalculo pc
    join CalculoEvento ce
      on ce.CodigoEmpresa = pc.CodigoEmpresa
     and ce.CodigoPerCalculo = pc.CodigoPerCalculo
    join Evento e
      on e.CodigoEvento = CE.CodigoEvento
   where pc.CodigoEmpresa = :pCodigoEmpresa
     and pc.Compet between :pCompetIni and :pCompetFin
     and pc.CodigoTipoCalc = 1
     and ce.CodigoFuncContr = :pCodigoFuncContr
     and (e.CodigoEstrut = '02.07.01.01'
       or e.CodigoEstrut = '02.07.02.01'
       or e.CodigoEstrut = '02.07.01.04'
       or e.CodigoEstrut = '02.07.02.04'
       or e.CodigoEstrut = '02.07.01.05'
       or e.CodigoEstrut = '02.07.02.05')
    group by E.ReferEvento  

