    Select FC.CodigoFuncContr,
           FC.CodigoEmpresa,
           EM.NomeEmpresa,
           FL.CodigoEstab,
           E.NomeEstab,
           FP.NomeFunc,
           FE.CodigoEscala,
           FL.ClassifOrgan,
           O.DescrOrgan,
           Fnc.CodigoCargo,
           C.DescrCargo
      from FuncPessoa FP

      join FuncContrato FC
        on FC.CodigoFuncPessoa = FP.CodigoFuncPessoa

      join Empresa EM
        on EM.Codigoempresa = FC.CodigoEmpresa

      %0:s

      join FuncCargo FnC
        on FnC.CodigoEmpresa = FC.CodigoEmpresa
       and FnC.CodigoFuncContr = FC.CodigoFuncContr
       and FnC.DataInicial = (select Max(FnCa.DataInicial)
                                from FuncCargo FnCa
                              where FnCa.CodigoEmpresa = FnC.CodigoEmpresa
                                and FnCa.CodigoFuncContr = FnC.CodigoFuncContr
                                and FnC.DataInicial <= :pPeriodoFinal)
      
      join Cargo C
        on C.CodigoCargo = FnC.CodigoCargo

      join FuncEscala FE
        on FE.Codigoempresa = FC.CodigoEmpresa
       and FE.CodigoFuncContr = FC.CodigoFuncContr
       and FE.DataInicial = (Select Max(FEa.DataInicial)
                               from FuncEscala FEa
                              where FEa.Codigoempresa = FE.CodigoEmpresa
                                and FEa.CodigoFuncContr = FE.CodigoFuncContr
                                and FEa.DataInicial <= :pPeriodoFinal)

      join FuncLocal FL
        on FL.CodigoEmpresa = FC.CodigoEmpresa
       and FL.CodigoFuncContr = FC.CodigoFuncContr
       and FL.DataTransf = (Select Max(FLa.DataTransf)
                              from FuncLocal FLa
                             where FLa.CodigoEmpresa = FL.CodigoEmpresa
                               and FLa.CodigoFuncContr = FL.CodigoFuncContr
                               and FLa.DataTransf <= :pPeriodoFinal)
      join Organograma O
        on O.CodigoEmpresa = FL.CodigoEmpresa
       and O.CodigoEstab = FL.CodigoEstab
       and O.ClassifOrgan = FL.ClassifOrgan

      join Estab E
        on E.CodigoEmpresa = FC.CodigoEmpresa
       and E.CodigoEstab = FL.CodigoEstab

 Inner join FuncSindicato FS
        on FS.CodigoEmpresa = FC.CodigoEmpresa
       and FS.CodigoFuncContr = FC.CodigoFuncContr
       and FS.DataInicial = (Select Max(FSa.DataInicial)
                               from FuncSindicato FSa
                              where FSa.Codigoempresa = FS.CodigoEmpresa
                                and FSa.CodigoFuncContr = FS.CodigoFuncContr
                                and FSa.DataInicial <= :pPeriodoFinal)

     where FC.EmiteCartao = 1
         and FC.DataDem Is Null