select FC.CODIGOPROFTIPOAULA
     , TA.DESCRPROFTIPOAULA 
     , FC.DATAINICIAL
     , (FC.QTDEHORADIURNA + FC.QTDEHORANOTURNA) as QtdeHoras
     , FS.ValorAula 
  from FUNCCONTRATOPROF FC
  join ProfTipoAula TA
    on TA.CODIGOEMPRESA = FC.CODIGOEMPRESA
   and TA.CODIGOPROFTIPOAULA = FC.CODIGOPROFTIPOAULA
  join FuncSalarioProf FS
    on FS.CODIGOEMPRESA = FC.CODIGOEMPRESA
   and FS.CODIGOFUNCCONTR = FC.CODIGOFUNCCONTR
   and FS.CODIGOPROFTIPOAULA = FC.CODIGOPROFTIPOAULA
   and FS.DataInicial = FC.DataInicial
 where FC.CodigoEmpresa = :pCodigoEmpresa
   and FC.CodigoFuncContr = :pCodigoFunc
   and FC.DataInicial <= :pDataAdm
  