          select fe.DataInicial feDataInicial,
                 fe.CodigoEscala feCodigoEscala,
                 es.DescrEscala esDescrEscala,
                 (es.CargaHorMensal / 5) esCargaHorMensal,
                 es.CargaHorDiaria esCargaHorDiaria,
                 fe.CodigoEmpresa
            from
              FuncEscala fe
 left outer join Escala es
              on es.CodigoEscala = fe.CodigoEscala
           where fe.CodigoEmpresa = :CodigoEmpresa and
                 fe.CodigoFuncContr = :CodigoFuncContr
        order by 1, 2

