    Select s.CodigoSind sCodigoSind,
           s.NomeSind sNomeSind,
           pc.Compet pcCompet,
           gc.TipoGRCS gcTipoGRCS,
           Sum(ValorContrib) sumValorContrib,
     gc.CodigoEmpresa
      from GRCS gc,
           Sindicato s,
           PeriodoCalculo pc
     where
           gc.CodigoEmpresa = :CodigoEmpresa and
           gc.CodigoFuncContr = :CodigoFuncContr and
           pc.CodigoEmpresa = gc.CodigoEmpresa and
           pc.CodigoPerCalculo = gc.CodigoPerCalculo and
           gc.CodigoSind = s.CodigoSind
  group by s.CodigoSind, s.NomeSind, pc.Compet, gc.TipoGRCS, gc.CodigoEmpresa
  order by 1
