    Select S.CodigoSind sCodigoSind,
           S.NomeSind sNomeSind,
            %0:s pcCompet,
           cast(substr(E.CodigoEstrut, 7, 8) as integer) gcTipoGRCS,
           Sum(RE.ValorEvento) sumValorContrib,
     RE.CodigoEmpresa
      from Rescisao R
      join RescisaoEvento RE
        on R.CodigoEmpresa = RE.CodigoEmpresa
       and R.CodigoFuncContr = RE.CodigoFuncContr
       and R.Complementar = RE.Complementar
      join Evento E
        on E.CodigoEvento = RE.CodigoEvento
 Inner join FuncSindicato FSa
        on FSa.CodigoEmpresa = R.Codigoempresa
       and FSa.CodigofuncContr = R.CodigofuncContr
       and FSa.DataInicial = (Select Max(FCa.DataInicial)
                                from FuncSindicato FCa
                               where FCa.Codigoempresa = R.Codigoempresa
                                 and FCa.CodigofuncContr = R.CodigofuncContr
                                 and FCa.DataInicial <= R.DataResc)
      join Sindicato S
        on S.CodigoSind = FSa.CodigoSind
     where R.CodigoEmpresa = :CodigoEmpresa
       and R.CodigoFuncContr = :CodigoFuncContr
       and (E.CodigoEstrut = '97.01.01' or
            E.CodigoEstrut = '97.01.02' or
            E.CodigoEstrut = '97.01.03' or
            E.CodigoEstrut = '97.01.04')
  group by S.CodigoSind,
           S.NomeSind,
           %0:s,
           E.CodigoEstrut,
           RE.CodigoEmpresa
  order by 1