  select ic.CompetIniSefip,
         ic.CompetFinSefip,
         sum(icd.ValorComp) ValorComp
    from INSSComp ic
   inner join INSSCompDet icd
      on icd.CodigoEmpresa = ic.CodigoEmpresa
     and icd.CodigoEstab = ic.CodigoEstab
     and icd.CodigoINSSComp = ic.CodigoINSSComp
   where ic.CodigoEmpresa = :pCodigoEmpresa
     and ic.CodigoEstab = :pCodigoEstab
     and icd.TipoGPS = :pTipoGPS
     and icd.CompetComp = :pCompet
     and ic.CODIGOOUTEMP is null
   group by 
         ic.CompetIniSefip,
         ic.CompetFinSefip