  select PC.Compet,
         PC.DataInicialFolha,
         PC.DataFinalFolha,
         sum(IC.Remuneracao) Remuneracao
    from PeriodoCalculo PC,
         ImpostoCalculo IC
   where IC.CodigoEmpresa    = :CodigoEmpresa
     and IC.CodigoFuncContr       = :CodigoFuncContr
     and IC.CodigoPerCalculo = PC.CodigoPerCalculo
	 and ic.ComProcesso = '1'
     and PC.CodigoEmpresa    = IC.CodigoEmpresa
     and PC.Compet           >= :Compet
     and PC.CodigoTipoCalc   between 1 and 6
group by PC.Compet,
         PC.DataInicialFolha,
         PC.DataFinalFolha
order by 1
