insert into RESCISAO(
            CODIGOEMPRESA
          , CODIGOFUNCCONTR
          , COMPLEMENTAR
          , TIPORESCISAO
          , CODIGOSINDDISSIDIOEMP
          , CODIGOCAUSA
          , CODIGOSAQUE
          , TIPOAFASTSEFIP
          , TIPOAFASTCAGED
          , TIPOAFASTRAIS
          , CODIGOMOTDEM
          , DATARESC
          , DATAAVPREVIO
          , DATAPGTORESC
          , DIASTRAB
          , DIASAVISOTRAB
          , DIASAVINDEN
          , DIASAVREAV
          , DIASESTABIL
          , DIASGRATIF
          , SALFINAL
          , FGTSMESANT
          , AVOS13PROP
          , AVOSFERIASPROP
          , CODIGOFPAS
          , CODIGOOUTEMP
          , SALDOFGTS
          , REMMESANT
          , REMMESANT13
          , VALORMESANT
          , REMMESANTRECOL
          , REMMESANT13RECOL
          , VALORMESANTRECOL
          , REMMES
          , REMMES13
          , VALORMES
          , REMMESRECOL
          , REMMES13RECOL
          , VALORMESRECOL
          , REMINDEN
          , REMINDEN13
          , VALORINDEN
          , REMINDENRECOL
          , REMINDEN13RECOL
          , VALORINDENRECOL
          , REMMULTA
          , VALORMULTA
          , REMMULTARECOL
          , VALORMULTARECOL
          , BASEINSS
          , DEDUCAO
          , SALFAMILIA
          , FGTSRECOL
          , VALORINSS
          , REMUNRESCISAO
          , REMUNSEGDESEMPANT
          , REMUNSEGDESEMPPEN
          , REMUNSEGDESEMPULT
          , REMUNULT6MESES
          , DATACALCATRASOGRFC
          , JAMMESANT
          , JAMMES
          , JAMINDEN
          , JAMMULTA
          , DATAHOMOLOGRESC
          , LOCALHOMOLOGRESC
          , REPOSICAOVAGA
          , NOVOEMPREGOAVPREVIO
          , DISPENSAAVPREVIO
          , CUMPRIUJORNADAINTEGRALSEMAFAST
          , JORNADATRABSABCOMPENSEMAFAST
          , AVISOPREVIO
          , CODIGOUSUARIO
          , DATAHORALCTO
          , DIASAVPROP
          , ORIGEMDADO
          , AVISOPREPROP13
          , INICIOCONTAGEM
          , CODIGOPERCALCULO
          , DIASSALDOSALARIO
          , AVISOPREPROPFERIAS
          , AVOSFERIASIND
          , DATAPAGTOREVISADO
          , OBSERVACAO
          , MOTIVODESLIGAMENTODIRETOR
          , PERCPENSAOJUD
          , NUMCERTOBITO
          , NUMPROCTRAB
          , CNPJSUCESSOR
          , DATAQUARENTENA
          , NOMESUBSTITUTO
          , CPFSUBSTITUTO
          , DATANASCSUBSTITUTO
          , EMPRESTIMOGARANTIAFGTS
          , INDCUMPPARCIALAVISOPREVIO
          , RAZAOSOCIALSUCESSOR
          , QUARENTENAREMUNERADA
          , MATRICULACONSIGNATARIAFGTS
          , NUMEROCONTRATOEMPRESTIMOFGTS
          , TPINSCSUC
          , CONSIDERARHISTSAL
          , TIPOALTERACAOESOCIAL
)
 
select R.CODIGOEMPRESA
     , R.CODIGOFUNCCONTR
     , (select max(Rss.COMPLEMENTAR) + 1
               from Rescisao Rss 
              where Rss.CodigoEmpresa = R.CodigoEmpresa
                and Rss.CodigoFuncContr = R.CodigoFuncContr)   
          , cast(%1:s as integer) TIPORESCISAO
          , cast(%2:s as integer) CODIGOSINDDISSIDIOEMP
     , R.CODIGOCAUSA
     , R.CODIGOSAQUE
     , R.TIPOAFASTSEFIP
     , R.TIPOAFASTCAGED
     , R.TIPOAFASTRAIS
     , R.CODIGOMOTDEM
     , R.DATARESC
     , R.DATAAVPREVIO
     , cast(%3:s as Date) DATAPGTORESC
     , R.DIASTRAB
     , R.DIASAVISOTRAB
     , R.DIASAVINDEN
     , R.DIASAVREAV
     , R.DIASESTABIL
     , R.DIASGRATIF
     , R.SALFINAL
     , R.FGTSMESANT
     , R.AVOS13PROP
     , R.AVOSFERIASPROP
     , R.CODIGOFPAS
     , R.CODIGOOUTEMP
     , R.SALDOFGTS
     , R.REMMESANT
     , R.REMMESANT13
     , R.VALORMESANT
     , R.REMMESANTRECOL
     , R.REMMESANT13RECOL
     , R.VALORMESANTRECOL
     , R.REMMES
     , R.REMMES13
     , R.VALORMES
     , R.REMMESRECOL
     , R.REMMES13RECOL
     , R.VALORMESRECOL
     , R.REMINDEN
     , R.REMINDEN13
     , R.VALORINDEN
     , R.REMINDENRECOL
     , R.REMINDEN13RECOL
     , R.VALORINDENRECOL
     , R.REMMULTA
     , R.VALORMULTA
     , R.REMMULTARECOL
     , R.VALORMULTARECOL
     , R.BASEINSS
     , R.DEDUCAO
     , R.SALFAMILIA
     , R.FGTSRECOL
     , R.VALORINSS
     , R.REMUNRESCISAO
     , R.REMUNSEGDESEMPANT
     , R.REMUNSEGDESEMPPEN
     , R.REMUNSEGDESEMPULT
     , R.REMUNULT6MESES
     , R.DATACALCATRASOGRFC
     , R.JAMMESANT
     , R.JAMMES
     , R.JAMINDEN
     , R.JAMMULTA
     , R.DATAHOMOLOGRESC
     , R.LOCALHOMOLOGRESC
     , R.REPOSICAOVAGA
     , R.NOVOEMPREGOAVPREVIO
     , R.DISPENSAAVPREVIO
     , R.CUMPRIUJORNADAINTEGRALSEMAFAST
     , R.JORNADATRABSABCOMPENSEMAFAST
     , R.AVISOPREVIO
     , R.CODIGOUSUARIO
     , R.DATAHORALCTO
     , R.DIASAVPROP
     , R.ORIGEMDADO
     , R.AVISOPREPROP13
     , R.INICIOCONTAGEM
     , R.CODIGOPERCALCULO
     , R.DIASSALDOSALARIO
     , R.AVISOPREPROPFERIAS
     , R.AVOSFERIASIND
     , R.DATAPAGTOREVISADO
     , R.OBSERVACAO
     , R.MOTIVODESLIGAMENTODIRETOR
     , R.PERCPENSAOJUD
     , R.NUMCERTOBITO
     , R.NUMPROCTRAB
     , R.CNPJSUCESSOR
     , R.DATAQUARENTENA
     , R.NOMESUBSTITUTO
     , R.CPFSUBSTITUTO
     , R.DATANASCSUBSTITUTO
     , R.EMPRESTIMOGARANTIAFGTS
     , R.INDCUMPPARCIALAVISOPREVIO
     , R.RAZAOSOCIALSUCESSOR
     , R.QUARENTENAREMUNERADA
     , R.MATRICULACONSIGNATARIAFGTS
     , R.NUMEROCONTRATOEMPRESTIMOFGTS
     , R.TPINSCSUC
     , cast(%4:s as integer) CONSIDERARHISTSAL
     , R.TIPOALTERACAOESOCIAL
 from RESCISAO R
 where %0:s        
   and not exists(select 1 
                         from RESCISAO RC
                        where RC.CODIGOEMPRESA = R.CODIGOEMPRESA
                          and RC.CODIGOFUNCCONTR = R.CODIGOFUNCCONTR
                          and RC.TIPORESCISAO = cast(%1:s as integer)
                          and RC.CODIGOSINDDISSIDIOEMP = cast(%2:s as integer))
