   Select case oee.TipoOutEmp when 8 
          then Coalesce(oee.CodigoEstabCtb, cfg.CodigoEstabCtb) 
          else cfg.CodigoEstabCtb end CodigoEstabCtb,
          oep.CodigoOutEmp,
          oep.CodigoLocalCtb,
          oe.NomeOutEmp,
          sum(oeps.ValorBruto) C2100,
          sum(oeps.GPSValor) C2101,
          sum(oep.IRRetido) C2102,
          sum(oeps.ValorSAT15Anos) C2103,
          sum(oeps.ValorSAT20Anos) C2104,
          sum(oeps.ValorSAT25Anos) C2105,
          g.PERCISENCAOFILANT C2106,
          oeps.CodigoOutEmp CodigoOutEmpLcto,
          oep.CODIGOOUTEMPGPS CodigoOutEmpGps,  
          oep.GPSORIGEM
     from OutraEmpPgto oep
	 join OutraEmpPgtoServico oeps
       on  oep.CodigoEmpresa = oeps.CodigoEmpresa
       and oep.codigooutemp = oeps.codigooutemp
       and oep.compet = oeps.compet
       and oep.seq = oeps.seq
     join OutraEmpresa oe
       on oe.CodigoOutEmp = oep.CodigoOutEmp
     join CfgEstabFpa cfg
       on cfg.CodigoEmpresa = oep.CodigoEmpresa
      and cfg.CodigoEstab = oep.CodigoEstab
     join GPS g
       on g.CodigoEmpresa = cfg.CodigoEmpresa
      and g.CodigoTabGps = cfg.CodigoTabGps
left join OutraEmpEmp oee
       on oee.CodigoEmpresa = oep.CodigoEmpresa
      and oee.CodigoOutEmp = oep.CodigoOutEmp            
    where oep.CodigoEmpresa = :pCodigoEmpresa
      and oep.Compet = :pCompet
      %0:s
   and G.DataInicial = (select max(B.DataInicial)
                             from GPS B
                            where B.CodigoEmpresa = G.CodigoEmpresa
                              and B.CodigoTabGPS = G.CodigoTabGPS
                              and B.DataInicial <= :pCompet) %1:s
group by oee.TipoOutEmp, 
         oee.CodigoEstabCtb,
         cfg.CodigoEstabCtb, 
         oep.CodigoOutEmp,
         oep.CodigoLocalCtb,
         oe.NomeOutEmp,
         g.PERCISENCAOFILANT,
         CodigoOutEmpLcto,
         CodigoOutEmpGps,  
         oep.GPSORIGEM
order by  1, 3, 2
