   select case oee.TipoOutEmp
          when 8 then
            Coalesce(oee.CodigoEstabCtb, cfg.CodigoEstabCtb)
          else
            cfg.CodigoEstabCtb
          end CodigoEstabCtb,
          oep.CodigoOutEmp,
          oep.CodigoCentroCusto,
          oep.CodigoLocalCtb,
          oe.NomeOutEmp,
          oep.GPSORIGEM,
          sum(oeps.ValorBruto) C2100,
          sum(oeps.GPSValor) C2101,
          sum(oep.IRRetido) C2102,
          sum(oeps.ValorSAT15Anos) C2103,
          sum(oeps.ValorSAT20Anos) C2104,
          sum(oeps.ValorSAT25Anos) C2105,
          g.PERCISENCAOFILANT C2106,
          C.ClassifCentroCusto,
          oeps.CodigoOutEmp CodigoOutEmpLcto,
          oep.CODIGOOUTEMPGPS CodigoOutEmpGps
     from OutraEmpPgto oep
	 join OutraEmpPgtoServico oeps
       on  oep.CodigoEmpresa = oeps.CodigoEmpresa
       and oep.codigooutemp = oeps.codigooutemp
       and oep.compet = oeps.compet
       and oep.seq = oeps.seq
     join OutraEmpresa oe
       on oe.CodigoOutEmp = oep.CodigoOutEmp
     join CfgEstabFpa cfg 
       on cfg.CodigoEmpresa = oep.CodigoEmpresa
      and cfg.CodigoEstab = oep.CodigoEstab
     join Gps g
       on g.CODIGOEMPRESA = cfg.CODIGOEMPRESA
      and g.CODIGOTABGPS = cfg.codigotabgps
left join OutraEmpEmp oee
       on oee.CodigoEmpresa = oep.CodigoEmpresa
      and oee.CodigoOutEmp = oep.CodigoOutEmp
left join CentroCusto C
       on C.CodigoEmpresa = oep.CodigoEmpresa
      and C.CodigoCentroCusto = oep.CodigoCentroCusto
    where oep.CodigoEmpresa = :pCodigoEmpresa
      and oep.Compet = :pCompet
      and oep.GPSOrigem <> 1
      %0:s
   %1:s
      and G.DataInicial = (select max(B.DataInicial)
                             from GPS B
                            where B.CodigoEmpresa = G.CodigoEmpresa
                              and B.CodigoTabGPS = G.CodigoTabGPS
                              and B.DataInicial <= :pCompet) 
group by case oee.TipoOutEmp
         when 8 then
           Coalesce(oee.CodigoEstabCtb, cfg.CodigoEstabCtb)
         else
           cfg.CodigoEstabCtb
         end,
         oep.CodigoOutEmp,
         oep.CodigoCentroCusto,
         oep.CodigoLocalCtb,
         oe.NomeOutEmp,
         oep.GPSORIGEM,
         g.PERCISENCAOFILANT,
         C.ClassifCentroCusto,
         CodigoOutEmpLcto,
         CodigoOutEmpGps
order by case oee.TipoOutEmp
         when 8 then
           Coalesce(oee.CodigoEstabCtb, cfg.CodigoEstabCtb)
         else
           cfg.CodigoEstabCtb
         end,
         oep.CodigoOutEmp