select RE.CodigoFuncContr 
,R.tiporescisao 
,E.CodigoEstrut 
,sum(RE.ValorEvento) Valor 
from RescisaoEvento RE 
join Rescisao R 
 on R.CodigoEmpresa = RE.CodigoEmpresa 
and R.CodigoFuncContr = RE.CodigoFuncContr 
and R.complementar = RE.complementar 
join Evento E 
on RE.CodigoEvento = E.CodigoEvento 
where RE.CodigoEmpresa = :pCodigoEmpresa 
and(({extract(year, R.DataResc)} >= 2014 
and (((R.tiporescisao = 1) and ({TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)}   Between :pDataInicial and :pDataFinal)) or 
    (R.tiporescisao = 2 and(((R.DataPgtoResc >= {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} ) and (R.DataPgtoResc  Between :pDataInicial and :pDataFinal)) or 
    ((R.DataPgtoResc < {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} ) and ( {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataPgtoResc)} Between :pDataInicial and :pDataFinal)))) or 
    (((R.Tiporescisao = 3) or ((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden,0) = 0))) 
     and (exists (select 1 
	                from PeriodoCalculo p 
                   where p.codigoempresa = R.CodigoEmpresa 
                     and p.CodigoTipocalc = 7 
                     and P.CodigoPerCalculo = R.CodigoPerCalculo 
					 and p.DataPgto between :pDataInicial and :pDataFinal))) or 
    (((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden, 0) > 0) ) and {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)}  Between :pDataInicial and :pDataFinal)) ) 
  or ({Extract(year, R.DataResc)} < 2014 and 
(((R.tiporescisao = 1) and (R.DataResc Between :pDataInicial and :pDataFinal)) or 
((R.tiporescisao = 2) and (R.datapgtoresc Between  :pDataInicial and :pDataFinal)) or 
((R.tiporescisao in (3, 5)) and (exists (select 1 
	                                      from PeriodoCalculo p 
                                         where p.codigoempresa = R.CodigoEmpresa 
                                           and p.CodigoTipocalc = 7 
                                           and P.CodigoPerCalculo = R.CodigoPerCalculo 
	                      				   and P.DataPgto between :pDataInicial and :pDataFinal))) 
))) 
and (E.CodigoEstrut like '05.10%' or
E.CodigoEstrut like '05.11%' or
E.CodigoEstrut like '05.19%' or
E.CodigoEstrut like '05.20%' or
E.CodigoEstrut like '05.08%')
and (not (E.TIPOEVENTO in (4,5,6,7))) 
group by RE.CodigoFuncContr 
,R.tiporescisao 
,E.CodigoEstrut 
 union 
select RE.CodigoFuncContr 
,cast(1 as Integer) Tiporescisao 
,E.CodigoEstrut 
,sum(RE.ValorEvento) Valor 
from PERIODOCALCULO P
JOIN CALCULOEVENTO RE  
 on RE.CodigoEmpresa = P.CodigoEmpresa 
and RE.CODIGOPERCALCULO = P.CODIGOPERCALCULO  
join Evento E 
on E.CodigoEvento = RE.CodigoEvento 
where P.CodigoEmpresa = :pCodigoEmpresa 
and P.Compet between :pDataInicial and :pDataFinal 
and (E.CodigoEstrut like '05.10%' or 
E.CodigoEstrut like '05.11%' or 
E.CodigoEstrut like '05.19%' or 
E.CodigoEstrut like '05.20%' or 
E.CodigoEstrut like '05.08%') 
and (not (E.TIPOEVENTO in (4,5,6,7))) 
and not exists (select 1 
         from RESCISAOEVENTO RES 
         join Rescisao R 
           on R.CodigoEmpresa = RES.CodigoEmpresa 
          and R.CodigoFuncContr = RES.CodigoFuncContr 
          and R.complementar = RES.complementar 
        where RES.CodigoEmpresa = RE.CodigoEmpresa 
          and RES.CodigoFuncContr = RE.CodigoFuncContr 
          and RES.CodigoEvento = RE.CodigoEvento 
         and (((R.tiporescisao in (1,2)) and (R.DataResc Between P.Datainicialfolha and P.Datafinalfolha)) or 
             ((R.tiporescisao in (3, 5)) and (P.codigoPerCalculo = R.CodigoPerCalculo)))) 
group by RE.CodigoFuncContr,
E.CodigoEstrut 
order by 1, 2, 3