  select A.CodigoEmpresa,
         A.CodigoFuncContr,
         A.Complementar,
         A.DiasTrab,
         A.DiasAvInden,
         A.DiasAvReav,
         A.DiasEstabil,
         A.DiasGratif,
         A.DataResc,
         A.DataAvPrevio,
         A.FGTSMesAnt,
         A.SaldoFGTS,
         B.FimContrAntecFunc1,
         B.FimContrAntecFunc2,
         B.FimContrAntecEmp1,
         B.FimContrAntecEmp2,
         B.IndenTempoAntFGTS2,
         B.GratifResc1,
         B.GratifResc2,
         B.GratifMesAntDis1,
         B.GratifMesAntDis2,
         B.PercMultaFGTS,
         CASE WHEN A.DATARESC <= B.DATALIMITEPERCADICMULTAFGTS THEN B.PERCADICMULTAFGTS ELSE CAST(0 AS NUMERIC(5,2)) END AS PercAdicMultaFGTS,
         A.CodigoSaque,
         B.FeriasVenc2,
         B.FeriasProp1,
         B.DecTercSalProp1,
         B.DecTercSalProp2,
         B.DecTercSalInden1,
         B.DecTercSalInden2,
         B.TipoAfastRais,
         case when (A.TipoRescisao in (4, 5)) then '0'  else B.EmiteGRFC end as EmiteGRFC,
         A.CODIGOCAUSA,
         B.AVISOPREVIOPROP,
         A.DIASAVPROP,
         A.AVISOPREPROP13,
         A.AVISOPREPROPFERIAS,
         A.INICIOCONTAGEM,
         A.CUMPRIUJORNADAINTEGRALSEMAFAST,
         A.JORNADATRABSABCOMPENSEMAFAST,
         B.CAUSAAFASTHOMOLOGNET,
         A.TIPORESCISAO,
         A.DATAPGTORESC,
         A.DIASAVISOTRAB,
         B.EmiteGRFC as EmiteGRFCOriginal,
         A.CodigoPerCalculo,
         A.AVOSFERIASPROP,
         A.AVOSFERIASIND,
         B.FeriasProp2,
		 A.CodigoSindDissidioEmp
    from Rescisao A
    join CausaDemissao B 
      on B.CodigoCausa = A.CodigoCausa
   where A.CodigoEmpresa = :CodigoEmpresa
     and A.CodigoFuncContr = :CodigoFuncContr
     and A.Complementar = :Complementar
order by 1, 2, 3

