   select S.CodigoSind,
          SC.InicioHorarioNot,
          SC.FimHorarioNot,
          SC.PgtoFeriasMensal,
          SC.PgtoFeriasHorista,
          SC.SomarReavFerias13,
          SC.MesesMediaHoraExt,
          SC.DivMediaHoraExt,
          SC.MaiorMediaHoraExt,
          SC.TipoMediaHoraExt,
          SC.Media13SomenteAno,
          SC.PagaMediaAdto13,
          SC.PercAdto,
          SC.MesAdto13,
          SC.PermCompl,
          SC.MesesMediaValVar,
          SC.MaioresMediaValVar,
          SC.DivisorMediaValVar,
          SC.CodigoMoeda,
          SC.DiaConversao,
          SC.ContrPerAquis,
          SC.MesDataBase,
          SC.PercAdicNot,
          SC.TipoAssid,
          SC.LimiteAssid,
          SC.PercAssid,
          SC.TipoQuebraCaixa,
          SC.ValorQuebra,
          CS.MESREFERENCIA as MesesCSind,
          CS.TIPOCONTRIB as TipoCSind,
          CS.VALORSOCIO as ValorSocioCSind,
          CS.VALORMINSOCIO as ValorMinSocCSind,
          CS.VALORMAXSOCIO as ValorMaxSocCSind,
          CS.VALORNAOSOCIO as ValorNSocioCSind,
          CS.VALORMINNAOSOCIO as ValorMinNSocCSind,
          CS.VALORMAXNAOSOCIO as ValorMaxNSocCSind,
          TA.MESREFERENCIA as MesesTaxaAss,
          TA.TIPOCONTRIB as TipoTaxaAss,
          TA.VALORSOCIO as ValorSocioTxAss,
          TA.VALORMINSOCIO as ValorMinSocTxAss,
          TA.VALORMAXSOCIO as ValorMaxSocTxAss,
          TA.VALORNAOSOCIO as ValorNSocioTxAss,
          TA.VALORMINNAOSOCIO as ValorMinNSocTxAss,
          TA.VALORMAXNAOSOCIO as ValorMaxNSocTxAss,
          CC.MESREFERENCIA as MesesCusteioConf,
          CC.TIPOCONTRIB as TipoCusteioConf,
          CC.VALORSOCIO as ValorSocioCConf,
          CC.VALORMINSOCIO as ValorMinSocCConf,
          CC.VALORMAXSOCIO as ValorMaxSocCConf,
          CC.VALORNAOSOCIO as ValorNSocioCConf,
          CC.VALORMINNAOSOCIO as ValorMinNSocCConf,
          CC.VALORMAXNAOSOCIO as ValorMaxNSocCConf,
          MS.MESREFERENCIA as MesesMSind,
          MS.TIPOCONTRIB as TipoMSind,
          MS.VALORSOCIO as ValorSocioMSind,
          A.HoraMensal,
          A.HoraHorista,
          A.NormatBasico,
          A.TempoServico,
          A.Idade,
          A.CargoFuncao,
          A.Categoria,
          A.Escala,
          SC.TetoMinimo,
          SC.TetoMaximo,
          SC.AdmAnoConsidAte12,
          SC.Perc1TercFerias,
          MS.VALORMINSOCIO as ValorMinSocMSind,
          MS.VALORMAXSOCIO as ValorMaxSocMSind,
          SC.TipoMediaProvisao,
          SC.IntegIRRFFerias,
          SC.IntegAbonoFerias,
          SC.MesesFeriasProporc,
          SC.UtilMedMedFerias,
          SC.TipoMediaValVar,
          PA.MESREFERENCIA as MesesComerciario,
          PA.TIPOCONTRIB as TipoComerciario,
          PA.VALORSOCIO as ValorComerciario,
          PA.VALORMINSOCIO as ValorMinComercia,
          PA.VALORMAXSOCIO as ValorMaxComercia,
          SC.TipoAuxilioCreche,
          SC.DiasAvoFerias,
          SC.DiasAvo13Sal,
          SC.DesconsDia31Inden13,
          SC.ContinuaHorarioNoturno,
          SC.PREMIOTEMPOSERVICO,
          SC.ANOSPREMIO,
          SC.RescisaoFimAntecipado,
          SC.CodigoAnuidade,
          SC.AnuidadeTempoServico,
          SC.CODIGOAVISOPREVIO,
          SC.MediaRescisao,
          SC.TipoCalcAuxilioCreche,
          SC.ValorMinimoAuxCre,
          SC.ValorMaximoAuxCre,
          SC.ValorCalculoAuxCre,
          RS.TIPOCONTRIB as TIPOREVSAL,
          RS.VALORSOCIO as VALORSOCIOREVSAL,
          RS.VALORMINSOCIO as VALORMINSOCREVSAL,
          RS.VALORMAXSOCIO as VALORMAXSOCREVSAL,
          RS.VALORNAOSOCIO as VALORNSOCIOREVSAL,
          RS.VALORMINNAOSOCIO as VALORMINNSOCREVSAL,
          RS.VALORMAXNAOSOCIO as VALORMAXNSOCREVSAL,
          SC.DESCMENORVALMEDHORAEXT,
          SC.DESCMENORVALMEDVALVAR,
          SC.DIASAVO13MESFEVEREIRO,
          SC.DIASINDENIZACAOMESANTDISSIDIO,
          SC.DataInicial as DATASINDCONVENCAO,
          CS.DataInicial as DATASINDCONTRIB1,
          TA.DataInicial as DATASINDCONTRIB2,
          CC.DataInicial as DATASINDCONTRIB3,
          MS.DataInicial as DATASINDCONTRIB4,
          RS.DataInicial as DATASINDCONTRIB5,
          PA.DataInicial as DATASINDCONTRIB6,
          A.DataInicial as  DataSindNormativo,
          A.CodigoSindDissidio,
          RS.DescRevSal,
          SC.TIPOADICNOT,
          SC.LimiteInicioJornadaHorNot,
          SC.AssiduidadeTipoDescon,
          SC.Pagamento13SalHorista
     from Sindicato S
inner join SindConvencao SC
       on SC.Codigosind = S.Codigosind
      and SC.%0:s = (Select max(SCs.%0:s)
                                  from SindConvencao SCs
                                 where SCs.Codigosind = SC.CodigoSind
                                   and SCs.%0:s <= Cast(:DataSindconvencao as Date))
Left Join SindContrib CS
  on CS.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib1 as date)
			   and SCss.CodigoSind = CS.CodigoSind
               and SCss.Contribsind = CS.Contribsind
               and SCss.Contribsind = 1
            having Max(SCss.%0:s) = CS.%0:s )

Left Join SindContrib TA
  on TA.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib2 as date)
			   and SCss.CodigoSind = TA.CodigoSind
               and SCss.Contribsind = TA.Contribsind
               and SCss.Contribsind = 2
            having Max(SCss.%0:s) = TA.%0:s )

Left Join SindContrib CC
  on CC.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib3 as date)
			   and SCss.CodigoSind  = CC.CodigoSind
               and SCss.Contribsind = CC.Contribsind
               and SCss.Contribsind = 3
            having Max(SCss.%0:s) = CC.%0:s )

Left Join SindContrib MS
  on MS.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib4 as date)
			   and SCss.CodigoSind = MS.CodigoSind
               and SCss.Contribsind = MS.Contribsind
               and SCss.Contribsind = 4
            having Max(SCss.%0:s) = MS.%0:s )

Left Join SindContrib RS
  on RS.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib5 as date)
               and SCss.CodigoSind = RS.CodigoSind
			   and SCss.Contribsind = RS.Contribsind
               and SCss.Contribsind = 5
            having Max(SCss.%0:s) = RS.%0:s )

Left Join SindContrib PA
  on PA.CodigoSind = S.CodigoSind
 and exists(select 1
              from SindContrib SCss
             where SCss.%0:s <= Cast(:DataSindcontrib6 as date)
			   and SCss.CodigoSind = PA.CodigoSind
               and SCss.Contribsind = PA.Contribsind
               and SCss.Contribsind = 6
            having Max(SCss.%0:s) = PA.%0:s )

left join SindNormativo A
       on S.CodigoSind = A.CodigoSind
      and exists (select 1
                    from SindNormativo B
                   where B.CodigoSindDissidio = A.CodigoSindDissidio 
                     and B.CodigoSind = A.CodigoSind
                     and B.%0:s <= Cast(:DataSindNormativo as date) 
                  having max(B.%0:s) = A.%0:s)
 order by S.CodigoSind