select P.CODIGOEMPRESA
     , P.COMPET
  , FL.CODIGOESTAB
  , FL.CLASSIFORGAN
     , P.CodigoFuncContr
     , P.CODIGOOUTEMP
     , P.CODIGOCENTROCUSTO
     , SUM(P.AJUSTE) AJUSTE
     , SUM(P.AJUSTE1TERC) AJUSTE1TERC
     , SUM(P.AJUSTEINSS) AJUSTEINSS
     , SUM(P.AJUSTEFGTS) AJUSTEFGTS
     , SUM(P.AJUSTEPIS) AJUSTEPIS
     , SUM(P.MES) MES
     , SUM(P.MES1TERC) MES1TERC
     , SUM(P.MESINSS) MESINSS
     , SUM(P.MESFGTS) MESFGTS
     , SUM(P.MESPIS) MESPIS
     , SUM(P.DIFERPGTO) DIFERPGTO
     , SUM(P.DIFERPGTOINSS) DIFERPGTOINSS
     , SUM(P.DIFERPGTOFGTS) DIFERPGTOFGTS
     , SUM(P.DIFERPGTOPIS) DIFERPGTOPIS
     , SUM(P.PAGO) PAGO
     , SUM(P.PAGO1TERC) PAGO1TERC
     , SUM(P.PAGOINSS) PAGOINSS
     , SUM(P.PAGOFGTS) PAGOFGTS
     , SUM(P.PAGOPIS) PAGOPIS
  from PROVISAOFERRAT P
  JOIN FUNCLOCAL FL
    ON FL.CODIGOEMPRESA = P.CODIGOEMPRESA
   AND FL.CodigoFuncContr = P.CodigoFuncContr
   AND FL.DATATRANSF = (SELECT MAX(FL1.DATATRANSF)
                          FROM FUNCLOCAL FL1
                         WHERE FL1.CODIGOEMPRESA = FL.CODIGOEMPRESA
                           AND FL1.CodigoFuncContr = FL.CodigoFuncContr
                           AND FL1.DATATRANSF <= {TIMESTAMPADD(DAY, - {EXTRACT(DAY, {TIMESTAMPADD(MONTH, 1, P.COMPET)})} , {TIMESTAMPADD(MONTH, 1,  P.COMPET)})})
 LEFT JOIN FUNCLOCALCTB FLC 
   ON FLC.CODIGOEMPRESA = P.CODIGOEMPRESA
  AND FLC.CODIGOFUNCCONTR = P.CODIGOFUNCCONTR
  AND EXISTS(SELECT 1
               FROM FUNCLOCALCTB FLCS 
              WHERE FLCS.CODIGOEMPRESA = FLC.CODIGOEMPRESA
                AND FLCS.CODIGOFUNCCONTR = FLC.CODIGOFUNCCONTR
                AND FLCS.DATAOPCAO <= {TIMESTAMPADD(DAY, - {EXTRACT(DAY, {TIMESTAMPADD(MONTH, 1, CAST(P.COMPET AS DATE))})} , {TIMESTAMPADD(MONTH, 1, CAST(P.COMPET AS DATE))})}
             HAVING MAX(FLCS.DATAOPCAO) = FLC.DATAOPCAO)  						   
WHERE P.COMPET between :pCompetIni and :pCompetFim
 %0:s
 GROUP BY P.CODIGOEMPRESA,
  P.COMPET,
     FL.CODIGOESTAB,
       FL.CLASSIFORGAN,
  P.CodigoFuncContr,
  P.CODIGOOUTEMP,
  P.CODIGOCENTROCUSTO
 ORDER BY P.CODIGOEMPRESA,
          P.COMPET
