select Distinct
       r.codigoEmpresa,
       r.CodigoFuncContr,
       FP.NomeFunc
from rescisao r
join FuncContrato F on F.CodigoEmpresa = R.CodigoEmpresa
and F.CodigoFuncContr = R.CodigoFuncContr
join FuncPessoa FP on FP.CodigoFuncPessoa = F.CodigoFuncPessoa
join CAUSADEMISSAO C
  on C.CODIGOCAUSA = R.CODIGOCAUSA
where r.AvisoPrevio = 2 
 %0:s
  and (C.AVISOPREVINDEN1 = 1
   or C.AVISOPREVINDEN2 = 1)
  and (R.DataAvPrevio is null
    or R.DataAvPrevio <> R.DataResc)
 and ((((R.tiporescisao = 1) and ( cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date)     Between :pDataInicial and :pDataFinal)) or 
     (R.tiporescisao in (2, 4) and (((R.DataPgtoResc >=  cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date)) and (R.DataPgtoResc  Between :pDataInicial and :pDataFinal)) or 
     ((R.DataPgtoResc < (cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date))) and (cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataPgtoResc)} as date) Between :pDataInicial and :pDataFinal)))) or 
     (((R.Tiporescisao = 3) or ((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden,0) = 0) )) 
     and (exists (select 1 from PeriodoCalculo p 
                                                         where p.codigoempresa = R.CodigoEmpresa 
                                                          and p.CodigoTipocalc = 7 
                                                          and P.CodigoPerCalculo = R.CodigoPerCalculo  
                                                          and p.DataPgto between :pDataInicial and :pDataFinal))) or 
        (((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden, 0) > 0) ) and (cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date)) Between :pDataInicial and :pDataFinal))
    or (((R.tiporescisao = 1) and (R.DataResc Between :pDataInicial and :pDataFinal)) or 
    ((R.tiporescisao in (2, 4)) and (R.datapgtoresc Between  :pDataInicial and :pDataFinal)) or 
    ((R.tiporescisao in (3, 5)) and (exists (select 1 
                                               from periodoCalculo p 
                                               where p.codigoempresa = r.CodigoEmpresa
                                                 and p.codigotipocalc = 7
                                                 and P.CodigoPerCalculo = R.CodigoPerCalculo 
                                                 and p.DataPgto between  :pDataInicial and :pDataFinal)))))   

union 
select Distinct
       R.CodigoEmpresa,
       R.CodigoFuncContr,
       FP.NomeFunc
from rescisao r
join FuncContrato F on F.CodigoEmpresa = R.CodigoEmpresa
and F.CodigoFuncContr = R.CodigoFuncContr
join FuncPessoa FP on FP.CodigoFuncPessoa = F.CodigoFuncPessoa
join CAUSADEMISSAO C
  on C.CODIGOCAUSA = R.CODIGOCAUSA
where r.AvisoPrevio = 4 
  %0:s
  and (C.AVISOPREVINDEN1 = 1
   or C.AVISOPREVINDEN2 = 1)
  and (R.DataAvPrevio is null
       or (R.DataAvPrevio = R.DataResc
           or (R.DataAvPrevio <> R.DataResc                                                                               
               and coalesce(R.DiasAvisoTrab, 0) = 0)))
 and ((((R.tiporescisao = 1) and (cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date) Between :pDataInicial and :pDataFinal)) or 
     (R.tiporescisao in (2, 4) and (((R.DataPgtoResc >= cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date)) and (R.DataPgtoResc  Between :pDataInicial and :pDataFinal)) or 
     ((R.DataPgtoResc < cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date)) and (cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataPgtoResc)} as date) Between :pDataInicial and :pDataFinal)))) or 
     (((R.Tiporescisao = 3) or ((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden,0) = 0) )) 
     and (exists (select 1 from PeriodoCalculo p 
                                                         where p.codigoempresa = R.CodigoEmpresa 
                                                          and p.CodigoTipocalc = 7 
                                                          and P.CodigoPerCalculo = R.CodigoPerCalculo
                                                          and p.DataPgto between :pDataInicial and :pDataFinal))) or 
        (((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden, 0) > 0) ) and cast({TIMESTAMPADD('DAY', coalesce(R.DiasAvInden, 0), R.DataResc)} as date) Between :pDataInicial and :pDataFinal))
    or (((R.tiporescisao = 1) and (R.DataResc Between :pDataInicial and :pDataFinal)) or 
    ((R.tiporescisao in (2, 4)) and (R.datapgtoresc Between  :pDataInicial and :pDataFinal)) or 
    ((R.tiporescisao in (3, 5)) and (exists (select 1 
                                               from periodoCalculo p 
                                               where p.codigoempresa = r.CodigoEmpresa
                                                 and p.codigotipocalc = 7
                                                 and P.CodigoPerCalculo = R.CodigoPerCalculo
                                                 and p.DataPgto between  :pDataInicial and :pDataFinal)))))   
order by 1,2