select e.CodigoEstrut,
       Sum(ce.ValorEvento) ValorEvento
  from PeriodoCalculo pc,
       CalculoEvento ce,
       Evento e
 where pc.CodigoEmpresa = ce.CodigoEmpresa
   and pc.CodigoPerCalculo = ce.CodigoPerCalculo
   and ce.CodigoEvento = e.CodigoEvento
   and (e.CodigoEstrut='01.01.17.02' or e.CodigoEstrut='01.01.17.01')
   and pc.CodigoEmpresa = :pCodigoEmpresa
   and ce.CodigoFuncContr = :pCodigoFuncContr
   and pc.Compet = :pCompet
group by e.CodigoEstrut
order by 1
