  select sum(CE.ValorEvento) ValorEvento
    from FuncPerCalculo FPC,
         CalculoEvento CE,
         Evento E,
         FuncLocal FL,
         PeriodoCalculo PC
   where FPC.CodigoEmpresa = :pCodigoEmpresa
     and FPC.CodigoPerCalculo = :pCodigoPerCalculo
     and FPC.CodigoEmpresa = CE.CodigoEmpresa
     and FPC.CodigoPerCalculo = CE.CodigoPerCalculo
     and FPC.CodigoFuncContr = CE.CodigoFuncContr
     and CE.CodigoEvento = E.CodigoEvento
     and (E.CodigoEstrut like '04.05%'
      or E.CodigoEstrut like '05.15%')
     and FPC.CodigoEmpresa = FL.CodigoEmpresa
     and FPC.CodigoFuncContr = FL.CodigoFuncContr
     and FPC.DataLocal = FL.DataTransf
     and FL.CodigoEstab = :pCodigoEstab
     and FL.ClassifOrgan = :pClassifOrgan
     and PC.CodigoEmpresa = FPC.CodigoEmpresa
     and PC.CodigoPerCalculo = FPC.CodigoPerCalculo
     and PC.DataFinalFolha >= FPC.DataLocal
order by 1
