select Sum(ce.ValorEvento) ValorEvento
  from PeriodoCalculo pc,
       CalculoEvento ce,
       Evento e
 where pc.CodigoEmpresa = ce.CodigoEmpresa
   and pc.CodigoPerCalculo = ce.CodigoPerCalculo
   and ce.CodigoEvento = e.CodigoEvento
   and e.CodigoEstrut BETWEEN '97.10.01' AND '97.10.22'
   and e.TipoEvento = :pTipo
   and pc.CodigoEmpresa = :pCodigoEmpresa
   and ce.CodigoFuncContr = :pCodigoFuncContr
   and pc.Compet = :pCompet