   select Cast('D' As VarChar(1)) Origem
        , DF.VALORDEVIDO Valor
        , min(C.DATAPAGAMENTO) DataPgto
        , D.DATAVENCIMENTO DataVcto
        , DF.DATALCTOCTR Compet
     from DEBITOFGTSFUNC DF
left join DEBITOFGTS D
       on D.CODIGOEMPRESA = DF.CODIGOEMPRESA
      and D.CHAVEDEBITOFGTS = DF.CHAVEDEBITOFGTS
left join CREDITOFGTS C
       on C.CODIGOEMPRESA = D.CODIGOEMPRESA
      and C.CHAVEDEBITOFGTS = D.CHAVEDEBITOFGTS
    where DF.CODIGOEMPRESA = :pCodigoEmpresa
      and DF.CodigoFuncContr = :pCodigoFuncContr
      and D.DATALCTOCTR < :pDataFim

group by DF.VALORDEVIDO
       , D.DATAVENCIMENTO
       , DF.DATALCTOCTR
       , D.CHAVEDEBITOFGTS

UNION ALL

select Cast('Q' As VarChar(1)) Origem,
       (s.Valor * -1),
       s.DataSaque DataPgto,
       s.DataSaque DataVcto,
       s.DataSaque Compet
  from FGTSFuncSaque s
 where s.CodigoEmpresa = :pCodigoEmpresa
   and s.CodigoFuncContr = :pCodigoFuncContr
   and s.DataSaque between :pDataIni and :pDataFim
 order by 5, 3, 4, 2

