SELECT FA.DATAANOT FADATAANOT,
       FA.CODIGOANOT FACODIGOANOT,
       ANOT.DESCRANOT ANOTDESCRANOT,
       FA.OBSERV,
       FA.CODIGOEMPRESA
  FROM FUNCANOTACAO FA
  JOIN ANOTACAO ANOT
    ON ANOT.CODIGOANOT = FA.CODIGOANOT
   AND ANOT.CONSIDFICHAREG = 1
 WHERE FA.CODIGOEMPRESA = :CODIGOEMPRESA
   AND FA.CODIGOFUNCCONTR = :CODIGOFUNCCONTR
   AND (FA.DATAANOT = (SELECT MAX(FAM.DATAANOT)
                            FROM FUNCANOTACAO FAM
                            JOIN ANOTACAO ANOTM
                              ON ANOTM.CODIGOANOT = FAM.CODIGOANOT
                             AND ANOTM.CONSIDFICHAREG = 1                            
                           WHERE FAM.CODIGOEMPRESA = :CODIGOEMPRESA
                             AND FAM.CODIGOFUNCCONTR = :CODIGOFUNCCONTR)

    OR FA.DATAANOT = (SELECT MAX(FAS.DATAANOT)
                           FROM FUNCANOTACAO FAS
                           JOIN ANOTACAO ANOTS
                             ON ANOTS.CODIGOANOT = FAS.CODIGOANOT
                            AND ANOTS.CONSIDFICHAREG = 1                           
                          WHERE FAS.CODIGOEMPRESA = :CODIGOEMPRESA
                            AND FAS.CODIGOFUNCCONTR = :CODIGOFUNCCONTR 
                            AND FAS.DATAANOT <  (SELECT MAX(FASS.DATAANOT)
                                                      FROM FUNCANOTACAO FASS
                                                      JOIN ANOTACAO ANOTSS
                                                        ON ANOTSS.CODIGOANOT = FASS.CODIGOANOT
                                                       AND ANOTSS.CONSIDFICHAREG = 1                                                      
                                                     WHERE FASS.CODIGOEMPRESA = :CODIGOEMPRESA
                                                       AND FASS.CODIGOFUNCCONTR = :CODIGOFUNCCONTR)))
ORDER BY FA.DATAANOT
