    select FS.CodigoEmpresa,
         FS.CodigoFuncContr,
         FSP.CodigoProfTipoAula,
         FS.DataInicial,
         FS.ValorSal,
         FS.ComplSal,
         FS.AntecSal,
         FS.SalCarne,
         FS.TipoSalario,
         FSP.ValorAula,
		     FS.Seq,
         FS.DataEfeito,
         FL.CodigoEstab
    from FuncSalario FS
    Left join FuncSalarioProf FSP
           on FSP.CodigoEmpresa = FS.CodigoEmpresa
          and FSP.CodigoFuncContr = FS.CodigoFuncContr
          and FSP.DataInicial = FS.DataInicial
		  and FSP.SEQFUNCSALARIO = FS.SEQ
     join FuncLocal FL 
                 ON FL.CodigoEmpresa   = FS.CodigoEmpresa 
                AND FL.CodigoFuncContr = FS.CodigoFuncContr 
                AND FL.DataTransf      = (SELECT MAX(FL1.DataTransf) 
                                            FROM FUNCLOCAL FL1 
                                           WHERE FL1.CodigoEmpresa   = FL.CodigoEmpresa 
                                             AND FL1.CodigoFuncContr = FL.CodigoFuncContr 
                                             AND FL1.DataTransf      <  :pDataInicial )         
   where %s
     and FS.DataInicial   = (select max(FuS.DataInicial)
                             from FuncSalario FuS
                             where FuS.CodigoEmpresa = FS.CodigoEmpresa
                             and FuS.CodigoFuncContr    = FS.CodigoFuncContr
							 and FuS.DataInicial   <= :pDataInicial)
	 and FS.SEQ = (select max(FuB.SEQ)
                   from FuncSalario FuB
                   where FuB.DataInicial   = FS.DataInicial
                   and FuB.CodigoEmpresa = FS.CodigoEmpresa 
                   and FuB.CodigoFuncContr = FS.CodigoFuncContr)
order by 1, 2, 3, 4

