   Select SC.MesDataBase,
          count(F.CodigoFuncContr) NumeroFunc
     from FuncContrato F
Inner join FuncSindicato FC
       on FC.Codigoempresa = F.Codigoempresa
      and FC.CodigofuncContr = F.CodigofuncContr
      and FC.DataInicial = (Select Max(FCa.DataInicial)
                              from FuncSindicato FCa
                            where FCa.Codigoempresa = F.Codigoempresa
                              and FCa.CodigofuncContr = F.CodigofuncContr
                              and FCa.DataInicial <= :pDataFinal)
inner join SindConvencao SC
       on SC.CodigoSind = FC.CodigoSind
      and SC.Datainicial = (Select max(SCs.Datainicial)
                              from SindConvencao SCs
                             where SCs.CodigoSind = SC.CodigoSind
                               and SCs.Datainicial <= :pDataFinal),
          TipoContrato TC,
          FuncLocal FL
    where ((F.DataDem > :pDataDem) or (F.DataDem is null))
      and F.CodigoEmpresa = :pCodigoEmpresa
      and TC.CodigoTipoContr = F.CodigoTipoContr
      and TC.ConstaRais <> 0
      and FL.CodigoEmpresa = F.CodigoEmpresa
      and FL.CodigoFuncContr = F.CodigoFuncContr
      and FL.CodigoEstab = :pCodigoEstab
      and FL.DataTransf = (Select max(FLo.DataTransf)
                             from FuncLocal FLo
                            where FLo.CodigoEmpresa = FL.CodigoEmpresa
                              and FLo.CodigoFuncContr = FL.CodigoFuncContr
                              and FLo.DataTransf <= :pDataFinal)
 group by SC.MesDataBase
 order by 2 desc, 
          1