  select GE.CodigoImposto,
         GE.VariacaoImposto,
         S.InscrFederal,
         sum(GE.ValorDebito) ValorContrib
    from Sindicato S
	join DebitoSindical GE
	  on S.CodigoSind = GE.CodigoSind
   where GE.CodigoEmpresa = :pCodigoEmpresa
     and GE.CodigoEstab = :pCodigoEstab
     and GE.DataLctoCtr between :pCompetInicial and :pCompetFinal
group by GE.CodigoImposto,
         GE.VariacaoImposto,
         S.InscrFederal
order by 1, 3