select sum(I.BaseFGTSNorm) BaseFGTSNorm,
       sum(I.BaseFGTS13) BaseFGTS13,
       sum(I.BasePISNorm) BasePISNorm,
       sum(I.BasePIS13) BasePIS13,
       sum(I.BaseINSSEmp) BaseINSSEmp,
       sum(I.BaseINSS13Emp) BaseINSS13Emp,
       sum(I.BaseINSSFunc) BaseINSSFunc,
       sum(I.BaseINSS13Func) BaseINSS13Func,
       sum(I.ValorFgts13) ValorFgts13,
       sum(I.ValorFgtsNorm) ValorFgtsNorm,
       sum(I.ValorPISNorm) ValorPISNorm,
       sum(I.ValorPIS13) ValorPIS13,
       sum(I.ValorAdicFGTSNorm) ValorAdicFGTSNorm,
       sum(I.ValorAdicFGTS13) ValorAdicFGTS13,
       sum(I.AcresSat) AcresSat,
       sum(I.INSSEntFinanc) INSSEntFinanc,
       sum(I.INSSParteSat + I.AcresFAP) INSSParteSat,
       sum(I.INSSDirAuton) INSSDirAuton,
       sum(I.AcresFAP) INSSAcresFAP,
       I.CodigoEmpresa
  from  ImpostoCalculo I
        LEFT OUTER JOIN OutraEmpEmp OEE
                     ON I.CodigoEmpresa = OEE.CodigoEmpresa
                    and I.CodigoOutEmp = OEE.CodigoOutEmp
 where I.CodigoEmpresa = :pCodigoEmpresa
   and I.CodigoPerCalculo = :pCodigoPerCalculo
   and I.CodigoFuncContr = :pCodigoFuncContr
   and (OEE.PossuiGPS = 0
    or I.CodigoOutEmp is null)
   and I.ClassifOrgan is null
   and I.ComProcesso = '1'
group by I.CodigoEmpresa
order by 1
