Select sum(SalINSSFixo) SalFixo,
       sum(SalINSSAdic) SalAdic,
       sum(SalINSSHoraExtra) SalExtra,
       sum(SalINSSComis) SalComis,
       sum(SalINSS1TercFerias) SalTercFerias,
       sum(ic.salfamilia + ic.Deducao) SalDeducao,
       sum((INSSParteEmp + INSSEntFinanc + INSSParteSAT + INSSParteTerc + INSSDirAuton + AcresSat + INSSSalEducacao + INSSIncra + INSSSenai +
            INSSSesi + INSSSenac + INSSSest + INSSSenat + INSSSesc + INSSSebrae + INSSDpc + INSSFaer + INSSSenar + INSSSescoop + ACRESFAP)- IsencaoFilantropica) INSSEmp
  from ImpostoCalculo ic
    where CodigoEmpresa = :pCodigoEmpresa
      and CodigoPerCalculo = :pCodigoPerCalculo
      and CodigoFuncContr = :pCodigoFuncContr
      and CodigoOutEmp = :pCodigoOutEmp
      and CodigoCentroCusto is null
      and ComProcesso = '1'
order by 1
