  select TP.CODIGOEMPRESA,
         TP.CodigoTerc,
         TP.COMPET,
         TP.SEQ,
         TP.DATAPGTO,
         GPS.Valor BaseGPS,
         CONTRIBTERC.Valor ContribTerc,
         IRRF.Valor BaseIRRF,
         SP.Valor PensaoJud,
         INSS.Valor DeducaoINSS,
         SIR.Valor IRRetido
    from TerceiroPgto TP
    left join TerceiroPgtoServico SIR
      on SIR.CodigoEmpresa = TP.CODIGOEMPRESA
      and SIR.CODIGOTERC = TP.CODIGOTERC
      and SIR.COMPET = TP.COMPET
      and SIR.SEQ = TP.SEQ
      and SIR.CodigoServico = 9051
    left join TerceiroPgtoServico SP
      on SP.CodigoEmpresa = TP.CODIGOEMPRESA
      and SP.CODIGOTERC = TP.CODIGOTERC
      and SP.COMPET = TP.COMPET
      and SP.SEQ = TP.SEQ
      and SP.CodigoServico = 9053
    left join TerceiroPgtoServico CONTRIBTERC
      on CONTRIBTERC.CodigoEmpresa = TP.CODIGOEMPRESA
     and CONTRIBTERC.CODIGOTERC = TP.CODIGOTERC
     and CONTRIBTERC.COMPET = TP.COMPET
     and CONTRIBTERC.SEQ = TP.SEQ
     and CONTRIBTERC.CodigoServico = 9057
    left join TerceiroPgtoServico GPS
      on GPS.CodigoEmpresa = TP.CODIGOEMPRESA
      and GPS.CODIGOTERC = TP.CODIGOTERC
      and GPS.COMPET = TP.COMPET
      and GPS.SEQ = TP.SEQ
      and GPS.CodigoServico = 9066
    left join TerceiroPgtoServico IRRF
      on IRRF.CodigoEmpresa = TP.CODIGOEMPRESA
      and IRRF.CODIGOTERC = TP.CODIGOTERC
      and IRRF.COMPET = TP.COMPET
      and IRRF.SEQ = TP.SEQ
      and IRRF.CodigoServico = 9067
    left join TerceiroPgtoServico INSS
      on INSS.CodigoEmpresa = TP.CODIGOEMPRESA
      and INSS.CODIGOTERC = TP.CODIGOTERC
      and INSS.COMPET = TP.COMPET
      and INSS.SEQ = TP.SEQ
      and INSS.CodigoServico = 9069
   where TP.CodigoEmpresa = :pCodigoEmpresa
     and TP.CodigoTerc = :pCodigoTerc
     and TP.DataPgto between :pDataPgto1 and :pDataPgto2
order by 1,2,3,4,5