SELECT P.CODIGOEMPRESA
     , P.COMPET
     , FL.CODIGOESTAB
     , FL.CLASSIFORGAN
     , P.CodigoFuncContr
     , SUM(P.AVOS) AVOS
     , SUM(P.SALBASE) SALBASE
     , SUM(P.ADICIONAL) ADICIONAL
     , SUM(P.MEDIAHORAEXTRA) MEDIAHORAEXTRA
     , SUM(P.MEDIAVALORVAR) MEDIAVALORVAR
     , SUM(P.AJUSTE) AJUSTE
     , SUM(P.AJUSTE1TERC) AJUSTE1TERC
     , SUM(P.AJUSTEINSS) AJUSTEINSS
     , SUM(P.AJUSTEFGTS) AJUSTEFGTS
     , SUM(P.AJUSTEPIS) AJUSTEPIS
     , SUM(P.MES) MES
     , SUM(P.MES1TERC) MES1TERC
     , SUM(P.MESINSS) MESINSS
     , SUM(P.MESFGTS) MESFGTS
     , SUM(P.MESPIS) MESPIS
     , SUM(P.FERIASPAGAS) FERIASPAGAS
     , SUM(P.FERIASPAGAS1TERC) FERIASPAGAS1TERC
     , SUM(P.FERIASPAGASINSS) FERIASPAGASINSS
     , SUM(P.FERIASPAGASFGTS) FERIASPAGASFGTS
     , SUM(P.FERIASPAGASPIS) FERIASPAGASPIS
     , SUM(P.DIFERPGTO) DIFERPGTO
     , SUM(P.DIFERPGTOINSS) DIFERPGTOINSS
     , SUM(P.DIFERPGTOFGTS) DIFERPGTOFGTS
     , SUM(P.DIFERPGTOPIS) DIFERPGTOPIS
     , SUM(P.SALDO) SALDO
     , SUM(P.SALDO1TERC) SALDO1TERC
     , SUM(P.SALDOINSS) SALDOINSS
     , SUM(P.SALDOFGTS) SALDOFGTS
     , SUM(P.SALDOPIS) SALDOPIS
  FROM PROVISAOFERIAS P
  JOIN FUNCLOCAL FL
    ON FL.CODIGOEMPRESA = P.CODIGOEMPRESA
   AND FL.CodigoFuncContr = P.CodigoFuncContr
   AND FL.DATATRANSF = (SELECT MAX(FL1.DATATRANSF)
                          FROM FUNCLOCAL FL1
                         WHERE FL1.CODIGOEMPRESA = FL.CODIGOEMPRESA
                           AND FL1.CodigoFuncContr = FL.CodigoFuncContr
                           AND FL1.DATATRANSF <= {TIMESTAMPADD(DAY, - {EXTRACT(DAY, {TIMESTAMPADD(MONTH, 1, P.COMPET)})} , {TIMESTAMPADD(MONTH, 1,  P.COMPET)})})
 LEFT JOIN FUNCLOCALCTB FLC 
   ON FLC.CODIGOEMPRESA = P.CODIGOEMPRESA
  AND FLC.CODIGOFUNCCONTR = P.CODIGOFUNCCONTR
  AND EXISTS(SELECT 1
               FROM FUNCLOCALCTB FLCS 
              WHERE FLCS.CODIGOEMPRESA = FLC.CODIGOEMPRESA
                AND FLCS.CODIGOFUNCCONTR = FLC.CODIGOFUNCCONTR
                AND FLCS.DATAOPCAO <= {TIMESTAMPADD(DAY, - {EXTRACT(DAY, {TIMESTAMPADD(MONTH, 1, CAST(P.COMPET AS DATE))})} , {TIMESTAMPADD(MONTH, 1, CAST(P.COMPET AS DATE))})}
             HAVING MAX(FLCS.DATAOPCAO) = FLC.DATAOPCAO)  						   
 WHERE P.COMPET between :pCompetIni and :pCompetFim
 %0:s
 GROUP BY P.CODIGOEMPRESA,
          P.COMPET,
          FL.CODIGOESTAB,
          FL.CLASSIFORGAN,
          P.CodigoFuncContr
 ORDER BY P.CODIGOEMPRESA,
          P.COMPET

